<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ScheduledCallEditMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $key = null;
    


    protected $editType = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getKey()
    {
        return $this->key;
    }

    public function hasKey()
    {
        return isset($this->key);
    }

    public function clearKey()
    {
        unset($this->key);
    }

    




    public function setKey($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MessageKey::class);
        $this->key = $var;

        return $this;
    }

    



    public function getEditType()
    {
        return isset($this->editType) ? $this->editType : 0;
    }

    public function hasEditType()
    {
        return isset($this->editType);
    }

    public function clearEditType()
    {
        unset($this->editType);
    }

    




    public function setEditType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\ScheduledCallEditMessage\EditType::class);
        $this->editType = $var;

        return $this;
    }

}

